Skip to main content
POST
/
product_access
/
get_all_for_product
cURL
curl --request POST \
  --url https://{portalApiUrl}/product_access/get_all_for_product \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "start": 0,
  "limit": 10,
  "criterias": [
    {
      "column": "product_access_status",
      "operator": "equal",
      "value": "active"
    }
  ]
}
'
{
  "status": true,
  "total": 123,
  "result": [
    {
      "product_access_id": 123,
      "product_access_product_id": 123,
      "product_access_user_id": 123,
      "product_access_certificate": "<string>",
      "product_access_created_date": "2023-11-07T05:31:56Z",
      "product_access_updated_date": "2023-11-07T05:31:56Z",
      "product_access_expired_date": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.illuxi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication token obtained from POST /token

Body

application/json
start
integer
default:0

Offset for pagination

limit
integer
default:10

Maximum number of records to return

criterias
object[]

List of filter criteria

Response

list of product_access records

status
boolean
total
integer
result
object[]